Subject: Re: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version

From: Kenichi Handa <[email-masked]>
Date: Wed, 01 Jan 2014 23:28:46 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> So now, returning to the original issue: since these changes make the
> new code in admin/charsets/mule-charsets.el produce correct mapping
> files for all the character sets,

?? The current mule-charsets.el produces only MULE-*
charsets.

The necessity of the file arises only in the following case:

  * There occurs a disaster and only
    admin/charsets/mapfiles/*.map are lost from all the
    world.

Isn't it ridiculous to prepare for such a case?

Another necessity of the file, which is my original
intention, is to provide the information about from where
those maps comes, how those maps are created.

> do you want me to keep the old Emacs 22 code in
> mule-charsets.el, in addition to the new (distinguished by
> the Emacs version), so that mule-charsets.el could be used
> with both old and new Emacs versions?

I'll repeat that running that file with Emacs 23 is
meaningless as well as generating 8859-1.map by Emacs 23.

If you think that keeping *.el that doesn't run in the
latest Emacs is a bad thing, perhaps the better way to keep
the information I wrote above is not by the Lisp file but by
a document which may contain the code in mule-charset.el
(the original one) as just a reference.

If you agree, I'll delete mule-charset.el and add proper
information to admin/charsets/mapfiles/README.

---
Kenichi Handa
[email-masked]